Skip to main content
DELETE
/
api
/
public
/
organizations
/
{orgId}
/
data-sources
/
{id}
Delete a data source
curl --request DELETE \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/data-sources/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://charts.basedash.com/api/public/organizations/{orgId}/data-sources/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://charts.basedash.com/api/public/organizations/{orgId}/data-sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "displayName": "<string>",
    "description": "<string>",
    "dialect": "POSTGRES",
    "databaseName": "<string>",
    "username": "<string>",
    "host": "<string>",
    "port": 123,
    "sslEnabled": true,
    "sslCustomCertificatesEnabled": true,
    "sshEnabled": true,
    "sshHost": "<string>",
    "sshPort": 123,
    "sshUsername": "<string>",
    "bigQueryProjectId": "<string>",
    "spannerInstanceId": "<string>",
    "athenaWorkgroup": "<string>",
    "athenaOutputLocation": "<string>",
    "athenaCatalog": "<string>",
    "snowflakeAccountId": "<string>",
    "snowflakeWarehouse": "<string>",
    "snowflakeRole": "<string>",
    "lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
    "lastSyncStatus": "PENDING",
    "lastSyncAttemptAt": "2023-11-07T05:31:56Z",
    "hasCompletedFirstSync": true,
    "syncErrorMessage": "<string>",
    "lastHealthyAt": "2023-11-07T05:31:56Z",
    "lastHealthStatus": "HEALTHY",
    "lastHealthCheckAttemptAt": "2023-11-07T05:31:56Z",
    "isDemo": true,
    "isBasedashWarehouse": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}
{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

id
string
required

Data source ID

Response

Data source deleted successfully

data
object
required